# Relative quantification using MSstats

Source: `R/main.R`
`artmsQuantification.Rd`

Relative quantification using MSstats including:

- plots

- quantifications (log2fc, pvalues, etc)

- normalized abundance values

    artmsQuantification(
      yaml_config_file,
      data_object = FALSE,
      printPDF = TRUE,
      display_msstats = FALSE,
      verbose = TRUE
    )

## Arguments

yaml_config_file | (char, required) The yaml file name and location
data_object | (logical) flag to indicate whether the configuration file is a string to a file that should be opened or config object (yaml). Default is `FALSE`. Choose `TRUE` if `yaml_config_file` is a yaml object
printPDF | (logical) if `TRUE` (default), prints out pdf
display_msstats | (logical) if `TRUE`, prints MSstats outputs (default is `FALSE`)
verbose | (logical) `TRUE` (default) shows function messages

## Value

The relative quantification of the conditions and comparisons specified in the keys/contrast file resulting from running MSstats, in addition to quality control plots (if selected)

## Examples

    if (FALSE) {
    artmsQuantification(yaml_config_file = "path/to/artms-ab-config.yaml")
    }